Get an upload
Get an upload
Fetches an object given its ID.
GET
Get an upload
Authorizations
OAuth 2.1 authorization-code flow with PKCE.
Path Parameters
Resource identifier.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.streamloop.app/v1/uploads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamloop.app/v1/uploads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamloop.app/v1/uploads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"mimeType": "<string>",
"name": "<string>",
"type": "audio",
"uploaded": true,
"fileSize": 123
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Fetches an object given its ID.
curl --request GET \
--url https://api.streamloop.app/v1/uploads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamloop.app/v1/uploads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamloop.app/v1/uploads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"mimeType": "<string>",
"name": "<string>",
"type": "audio",
"uploaded": true,
"fileSize": 123
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}OAuth 2.1 authorization-code flow with PKCE.
Resource identifier.